GWT 2.7.0

## com.google.gwt.user.client.ui
Class NativeVerticalScrollbar

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.AbstractNativeScrollbar
                  com.google.gwt.user.client.ui.NativeVerticalScrollbar

All Implemented Interfaces:
  HasScrollHandlers, HasAttachHandlers, HasHandlers, EventListener, HasVerticalScrolling, HasVisibility, IsWidget, VerticalScrollbar

    public class NativeVerticalScrollbar

extends AbstractNativeScrollbar
implements VerticalScrollbar

A vertical scrollbar implemented using the browsers native scrollbar.

Nested Class Summary
`(package private) static interface` | `NativeVerticalScrollbar.NativeVerticalScrollbarUiBinder`
`static interface` | `NativeVerticalScrollbar.Resources` A ClientBundle of resources used by this widget.
`static interface` | `NativeVerticalScrollbar.ResourcesTransparant` A variation of `NativeVerticalScrollbar.Resources` that renders the scrollbar semi-transparent until it is hovered.
`static interface` | `NativeVerticalScrollbar.Style` Styles used by this widget.
`static interface` | `NativeVerticalScrollbar.StyleTransparant` A variation of `NativeVerticalScrollbar.Style` that renders the scrollbar semi-transparent until it is hovered.

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

Field Summary
`(package private) Element` | `contentDiv` The div inside the scrollable div that forces scrollbars to appear.
`(package private) Element` | `scrollable` The scrollable div used to create a scrollbar.

Fields inherited from class com.google.gwt.user.client.ui.Widget
`eventsToSink`

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX, MISSING_ELEMENT_ERROR, SETELEMENT_TWICE_ERROR`

Constructor Summary
`NativeVerticalScrollbar()` Construct a new `NativeVerticalScrollbar`.
`NativeVerticalScrollbar(NativeVerticalScrollbar.Resources resources)` Construct a new `NativeVerticalScrollbar`.

Method Summary
`int` | `getMaximumVerticalScrollPosition()` Get the maximum position of vertical scrolling.
`int` | `getMinimumVerticalScrollPosition()` Get the minimum position of vertical scrolling.
`protected int` | `getNativeWidth()` Get the width of the scrollbar.
`protected Element` | `getScrollableElement()` Get the scrollable element.
`int` | `getScrollHeight()` Get the height in pixels of the scrollable content that the scrollbar controls.
`int` | `getVerticalScrollPosition()` Gets the vertical scroll position.
`void` | `setScrollHeight(int height)` Set the height in pixels of the scrollable content that the scrollbar controls.
`void` | `setVerticalScrollPosition(int position)` Sets the vertical scroll position.

Methods inherited from class com.google.gwt.user.client.ui.AbstractNativeScrollbar
`addScrollHandler, getNativeScrollbarHeight, getNativeScrollbarWidth, isScrollbarLeftAlignedInRtl, onAttach, onDetach`

Methods inherited from class com.google.gwt.user.client.ui.Widget

`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, ensureHandlers, fireEvent, getHandlerCount, getHandlerManager, getLayoutData, getParent, isAttached, isOrWasAttached, onBrowserEvent, onLoad, onUnload, removeFromParent, replaceElement, setLayoutData, setParent, sinkEvents, unsinkEvents`

Methods inherited from class com.google.gwt.user.client.ui.UIObject

`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.gwt.event.dom.client.HasScrollHandlers
`addScrollHandler`

Methods inherited from interface com.google.gwt.event.shared.HasHandlers
`fireEvent`

Methods inherited from interface com.google.gwt.user.client.ui.IsWidget
`asWidget`

Field Detail

### contentDiv

    @UiField
    Element contentDiv

  The div inside the scrollable div that forces scrollbars to appear.

### scrollable

    @UiField
    Element scrollable

  The scrollable div used to create a scrollbar.

Constructor Detail

### NativeVerticalScrollbar

    public NativeVerticalScrollbar()

  Construct a new `NativeVerticalScrollbar`.

### NativeVerticalScrollbar

    public NativeVerticalScrollbar(NativeVerticalScrollbar.Resources resources)

  Construct a new `NativeVerticalScrollbar`.

  Parameters:
    `resources` - the resources used by this widget

Method Detail

### getMaximumVerticalScrollPosition

    public int getMaximumVerticalScrollPosition()

  Description copied from interface: `HasVerticalScrolling`
  Get the maximum position of vertical scrolling. This is usually the `scrollHeight - clientHeight`.

  Specified by:
    `getMaximumVerticalScrollPosition` in interface `HasVerticalScrolling`
  Returns:
    the maximum vertical scroll position

### getMinimumVerticalScrollPosition

    public int getMinimumVerticalScrollPosition()

  Description copied from interface: `HasVerticalScrolling`
  Get the minimum position of vertical scrolling.

  Specified by:
    `getMinimumVerticalScrollPosition` in interface `HasVerticalScrolling`
  Returns:
    the minimum vertical scroll position

### getScrollHeight

    public int getScrollHeight()

  Get the height in pixels of the scrollable content that the scrollbar controls.

  This is not the same as the maximum scroll top position. The maximum scroll position equals the `scrollHeight- offsetHeight`;

  Specified by:
    `getScrollHeight` in interface `VerticalScrollbar`
  Returns:
    the scroll height
  See Also:
    `setScrollHeight(int)`

### getVerticalScrollPosition

    public int getVerticalScrollPosition()

  Description copied from interface: `HasVerticalScrolling`
  Gets the vertical scroll position.

  Specified by:
    `getVerticalScrollPosition` in interface `HasVerticalScrolling`
  Returns:
    the vertical scroll position, in pixels

### setScrollHeight

    public void setScrollHeight(int height)

  Set the height in pixels of the scrollable content that the scrollbar controls.

  This is not the same as the maximum scroll top position. The maximum scroll position equals the `scrollHeight- offsetHeight`;

  Specified by:
    `setScrollHeight` in interface `VerticalScrollbar`
  Parameters:
    `height` - the size height pixels

### setVerticalScrollPosition

    public void setVerticalScrollPosition(int position)

  Description copied from interface: `HasVerticalScrolling`
  Sets the vertical scroll position.

  Specified by:
    `setVerticalScrollPosition` in interface `HasVerticalScrolling`
  Parameters:
    `position` - the new vertical scroll position, in pixels

### getNativeWidth

    protected int getNativeWidth()

  Get the width of the scrollbar.

  Returns:
    the width of the scrollbar in pixels

### getScrollableElement

    protected Element getScrollableElement()

  Description copied from class: `AbstractNativeScrollbar`
  Get the scrollable element.

  Specified by:
    `getScrollableElement` in class `AbstractNativeScrollbar`
  Returns:
    the scrollable element

GWT 2.7.0